body,
.panel-title { color:#555; }

/* base font sizes */
body { font-size:12px; }
pre { font-size:10px; }
.navbar li.dropdown li { font-size:12px; }
.navbar-default .navbar-nav > li > a { font-size:13px; }
select,
textarea.form-control,
.form-group .form-control { font-size:12px; }
.navbar li.dropdown li.dropdown-header { font-size:11px; }
.table { font-size:11px; border-bottom:2px solid #999; }
.breadcrumb { font-size:11px; }
.breadcrumb-sep { font-size:8px; }
.panel-default > .panel-heading { font-size:105%; }
.value { font-family: Menlo,Monaco,Consolas,"Courier New",monospace; padding: 2px 4px; font-size: 110%; color: #0070d0;
	background-color: #e3f2ff; border-radius: 4px; }

h1 { font-size:32px; margin-top:15px; }
h1 .sub,
h3 .sub { color:#aaa; }
h1 .sub { font-size:22px; }
h3 .sub { font-size:20px; }
h2 small { color:#888; }
h5 { font-weight:bold; font-size:15px; }
.h5 { font-size:14px; }
.title h1 { margin-bottom:5px; }
.title h3 { color:#aaa; margin-top:0; margin-bottom:0; }
.title { margin-bottom:20px; }
a,
a.list-group-item .list-group-item-heading,
a.list-group-item { color:#0089ff; }
a.sub { color:#ffa800; }
.help-block > code { color:#888; background-color:#f1f1f1; }
blockquote { color:#888; font-size:100%; border-left:3px solid #ffeb8e; background-color:#fff8dc; }
blockquote code { background-color:#fff0b6; }
pre > code { color:#666; background-color:#f5f5f5; }
.gray { color:#999; }
/* h3 { margin-top:0; } */
/* p { margin-bottom:0; } */
h3 { margin-top:25px; }
.div-short > h3,
div[id^=div-short] > h3,
.panel-body > h3 { margin-top:1px; }

.box-overflow { height:300px; overflow:auto; }

.jumbotron h2 { font-size:38px; }
.jumbotron h2 small { font-size:75%; }
.jumbotron h3 { font-size:28px; }
.jumbotron h3 small { font-size:75%; }
.jumbotron.small { padding:6px 24px 10px 24px; margin-bottom:10px; }
.jumbotron.small h1 { font-size:5em; }
.jumbotron.small h1 .sub { font-size:70%; }
.jumbotron.small p { color:#999; }
.jumbotron { padding-left:20px; padding-right:20px; }
.font-os { font-family: 'Open Sans',sans-serif; }


.top-n5 { margin-top:-5px; }
.top-n10 { margin-top:-10px; }
.top-n20 { margin-top:-20px; }
.top-n30 { margin-top:-30px; }
.top-5 { margin-top:5px; }
.top-10 { margin-top:10px; }
.top-20 { margin-top:20px; }
.top-30 { margin-top:30px; }
.top-40 { margin-top:40px; }
.bot-10 { margin-bottom:10px; }
.bot-20 { margin-bottom:20px; }
.bot-30 { margin-bottom:30px; }
.left-5 { margin-left:5px; }
.left-10 { margin-left:10px; }
.left-20 { margin-left:20px; }
.left-30 { margin-left:30px; }
.right-5 { margin-right:5px; }
.right-10 { margin-right:10px; }
.right-20 { margin-right:20px; }
.left-pad-0,
.btn.btn-link.left-pad-0,
.table-bordered > tbody > tr > td.left-pad-0 { padding-left: 0; }
.right-pad-0 { padding-right: 0; }
.top-bot-pad-13 { padding-bottom:13px;padding-top:13px; }
td.min-w-115 { min-width:115px; }
.strike { text-decoration:line-through; }

.click-tr { cursor:pointer;  }
.borderBotDashed { border-bottom:1px dashed #ccc; }
.pad3 { padding:3px 0; }

.dashboard-heading {
    margin: 10px 0;
    font-size: 32px;
}
.dashboard-heading .glyphicon {
    padding: 10px;
    border-radius: 50%;
    border: 2px solid #0089ff;
    margin: 0;
    font-size: 1em;
    color: #0089ff;
}
.dashboard-heading .header {
    padding: 0;
    margin: 0 0 0 5px;
    font-size: 1em;
}
.dashboard { min-height: 75vh; height: 100%; margin-left: 0; margin-right: 0; }
@media(max-height:530px) { .dashboard { min-height: 56vh; } }
@media(max-height:762px) { .dashboard { min-height: 69vh; } }
.text-muted { color:#aaa; }
.text-muted a { color:#888; }
.text-muted a:hover { color:#70c469; }
.text-md { font-size:0.95em; }
.text-sm { font-size:0.9em; }
.text-xs { font-size:0.8em; }
.text-lg { font-size:1.2em; }
.text-vcenter { display:inline-block; vertical-align:middle; float:none; }
/* .text-green { color:#70c469; } */
.text-nobold { font-weight:normal; }

.btn-primary,
button .btn-primary { background:#0089ff; color:#fff; border:1px solid #0089ff; }
.btn-primary:hover,
.btn-primary:focus,
.btn-primary:active,
.btn-primary.active,
.open > .dropdown-toggle.btn-primary { background-color:#2b6aa0; color:#fff; }

.btn.btn-link { padding:0 4px; color:#0089ff; }
.btn.btn-link:hover,
.btn.btn-link:focus,
.btn.btn-link:active,
.btn.btn-link.active,
.open > .dropdown-toggle.btn-link { color:#2b6aa0; }

.pagination > li > a,
.pagination > li > span { color:#0089ff; }
.pagination > li.active > a,
.pagination > li.active > a:hover,
.pagination > li.active > a:focus { background-color:#f3f3f3; border-color:#ddd; color:#999; }

/*
.btn-primary,
button .btn-primary { background:#999; color:#fff; border:1px solid #999; }
.btn-primary:hover,
.btn-primary:focus,
.btn-primary:active,
.btn-primary.active,
.open > .dropdown-toggle.btn-primary { background-color:#777; color:#fff; }
*/

.btn-lg:hover,
.btn-lg:focus,
.btn-lg:active,
.btn-lg.active { text-decoration:none; }


.navbar { margin-bottom:0; }

.navbar-nav > li > .dropdown-menu { margin-top:-2px; }

.navbar li.dropdown li.dropdown-header { color:#999; }
li.dropdown li.dropdown-header { color:#a0a0a0; }

.navbar-sub .navbar-nav > li > a { padding-top:7px; padding-bottom:5px; }
.navbar { min-height:30px; }
.navbar-sub .navbar-nav > li.nav-primary > a { padding-left:1px; color:#7dc3ff; font-size:14px; }
/* navbar-sub for stores */
.navbar-sub {
	z-index:999;
    background-color:#0089ff;
    color:#ffffff;
    border-radius:0;
}
@media(min-width:768px) { .navbar-sub { height:32px; }}


.navbar-sub .navbar-nav > li > a { /* color */
    color:#fff;
}

/* text hover color */
.navbar-sub .navbar-nav > li > a:hover, .navbar-sub .navbar-nav > li > a:focus {
	color:#ccc;
}

/* bg hover + active color */
.navbar-sub .nav > li > a:hover,
.navbar-sub .nav > li > a:focus,
.navbar-sub .navbar-nav > .active > a,
.navbar-sub .navbar-nav > .active > a:hover,
.navbar-sub .navbar-nav > .active > a:focus {
	background-color:#0074d7;
}
/* for primary link */
.navbar-sub .nav > li.nav-primary > a:hover,
.navbar-sub .nav > li.nav-primary > a:focus {
	color:#fff;
	background-color:inherit;
}


/* navbar-toggle mobile color */
.navbar-sub .navbar-toggle { border-color: #bbb; }
.navbar-sub .navbar-toggle .icon-bar { background-color:#bbb; }
.navbar-sub .dropdown-menu > li > a { color:#ccc; }
@media(min-width:768px) { .navbar-sub .dropdown-menu > li > a { color:#333; } }

/* navbar-toggle mobile hover color */
.navbar-sub .navbar-toggle:hover,
.navbar-sub .navbar-toggle:focus { background-color: #40a7ff; }

/* small height
.navbar-sub { min-height:40px; height:40px; }
.navbar-sub .navbar-nav > li > a {  padding-top:0px; padding-bottom:0px; line-height:40px; }*/

.table { border-bottom:2px solid #999; margin-bottom:0; }
/* .table thead { background-color:#70c469; color:#fff; border:1px solid #70c469; border-bottom:4px solid #9ad695; } */
table thead, .table thead { background-color:#888; color:#fff; border:1px solid #888; border-bottom:4px solid #ccc; }
/* .table > thead > tr > th { border-color:#9ad695; } */
table > thead > tr > th,
.table > thead > tr > th { padding-top:3px; padding-bottom:3px; }
table > thead > tr > th a,
.table > thead > tr > th a { color:#fff; text-decoration:underline; }
.table-min-width { min-width:900px; }
@media (max-width:767px) { .table-container { overflow-x:auto; } }
.table-container { display:block; overflow-x:auto; }

table {
    border: 1px solid #DDD;
    width: 100%;
    max-width: 100%;
    margin-bottom: 20px;
}
thead > tr > th { padding:8px; text-align:left; }
table td {
	padding:8px;
	padding-top:4px; padding-bottom:4px;
	border:1px solid #DDD;
}

.table-bordered > thead > tr > th,
.table-bordered > tbody > tr > th,
.table-bordered > tfoot > tr > th
{
	border-color:#888;
}

.table-bordered > thead > tr > td,
.table-bordered > tbody > tr > td,
.table-bordered > tfoot > tr > td {
	border-color:#e9e9e9;
	padding-top:6px;
	padding-bottom:6px;
}

.table-hover tbody tr:hover td, .table-hover tbody tr:hover th { background-color: #e3f2ff; }
.container > .table  tr.highlight td,
.table-container > .table  tr.highlight td { font-weight:bold; }
.table-container > .table td.highlight,
.container > .table td.highlight { background-color:#d3eaff; }

/** navbar dropdown hover
@media(min-width:768px) {
	.navbar .dropdown:hover .dropdown-menu { display: block; margin-top: 0; }
}
 */
.navbar-default .navbar-nav > li > a:hover, .navbar-default .navbar-nav > li > a:focus { background-color:#eee; color:#0089ff; }
.dropdown-menu > li > a:hover, .dropdown-menu > li > a:focus { color:#0089ff; }

.navbar-brand { padding-top:13px; font-size:18px; line-height:0.9em; margin-right:10px; }
.navbar-default .navbar-brand { color:#999; }
.navbar-default .navbar-brand:hover { color:#0089ff; }
.navbar-brand span { font-weight:bold; color:#0089ff; font-size:24px; }

/* navbar brand for store */
.btn.btn-link-brand { color:#97cefd; }
.navbar-brand.navbar-brand-store.btn-group { width:118px; }
.btn.btn-link-brand:hover,
.btn.btn-link-brand:focus,
.btn.btn-link-brand:active { color:#fff; text-decoration:none; }
.navbar-brand-store > .dropdown-menu { margin-top:12px; }
.navbar-brand-store { padding-left:13px; padding-right:2px; color:#97cefd; padding-top:17px; padding-bottom:10px; height:20px; }
@media(min-width:768px) { .navbar-brand-store { font-size:14px; padding-top:6px; } }
.navbar-brand-store:hover { color:#fff; }


.navbar-default { border-color:#ddd; }
.breadcrumb-container,
.breadcrumb { background-color:#fff; }
.breadcrumb { margin:6px 0 3px 0; padding:2px; }
.breadcrumb > li + li:before { content:none; }
/* .breadcrumb > li > a { color:#999; } */
.breadcrumb-sep { color:#ccc; padding:0 4px; }

footer { margin:30px 0; color:#aaa; font-size:12px; border-top:1px solid #ddd; padding-top:10px; }
footer a { color:#999; text-decoration:underline; }
footer a:hover { text-decoration:none; }

.form-control-static { margin-bottom:5px; }

.form-small,
.form-small .form-group .form-control { font-size:11px; }

.no-bot-margin { margin-bottom:0; }

select,
.form-group .form-control,
textarea.form-control {
    background: #fafafa;
    border: solid 1px #CCCCCC;
}

.form-control { color:#777; }

.form-group .form-markdown, .form-control .form-markdown,
textarea.form-markdown,
.form-markdown {
	border:solid 1px #0dc95d; background-color:#e7fff1; /* border:solid 1px #11e0b6; background-color:#e8fffa; */
}

.form-group .help-block {
	color:#999;
	/* font-size:0.9em; */
}
.form-control-static { padding-top:2px; }

.alert.alert-danger,
.alert.alert-success {
    border-radius: 0;
	margin-bottom:-1px;
    border: none !important;
    z-index: 10000;
    height: 50px;
    width: 100%;
    padding: 15px 30px 50px 30px;
	position:fixed;
	bottom:0;
	left:0;
	font-size:1.2em;
}

.alert.alert-danger {
    background: #ff2f00;
}

.alert.alert-success {
    background:#0dc95d; /* #33AC00 */

}
.alert.alert-warning,
.alert.alert-info {
	margin-bottom:10px;
}

.alert-success,
.alert-danger {
    color: #fff;
    text-align: center;
    border: none !important;
}

.alert.alert-danger > .close,
.alert.alert-success > .close {
    color: #000;
}

.alert > span.glyphicon {
    margin-right: 6px;
}

@media screen and (min-width: 500px) {
    div.alert {
       /* height: 35px; */
    }
}

.panel,
.well { margin-bottom: 10px; }


.panel-default >
.panel-heading { font-weight:bold; color:#777; }
.panel.panel-sm { font-size:90%; margin-bottom:14px; }
.panel.panel-sm > .panel-heading { font-size:95%; padding:6px 10px; }
.panel.panel-sm > .panel-body { padding:8px 10px 2px 10px; }
.panel .panel-blue > .panel-heading { background-color:#0089ff; }
.panel .panel-blue > .panel-heading .text-muted,
.panel .panel-blue > .panel-heading a,
.panel .panel-blue > .panel-heading .btn{ color:#fff; }
.panel .panel-blue { border-color:#0089ff; }
.panel-danger { border-color: #ff9c81; }

label { color:#0dc95d; font-style:italic; } /* #00ccc0, #5bb3ff, #1bae91, #e00049, #de4e00, #70c469 */
label.no-require { color:#999; }
.checkbox label { color:inherit; }

.modal-body .text-success,
.modal-body .text-danger { font-weight:bold; font-size:1.1em; }
.text-success { color:#33AC00; }
.text-danger { color:#ff3600; }

.label-success { background-color:#0dc95d; }
.label-info { background-color: #ccc; }
.label-primary { background-color: #0089ff; }
.label-default { background-color: #999; }


.label.label-danger { background-color:#ff3600; }
/* .label { font-size:80%; } */
.label a { color:#fff; }
.label-inline { display:inline-block; }
.label.label-dark { background-color:#333; }

.badge.badge-danger { background-color:#ff3600; }
.badge.badge-primary { background-color:#337AB7; }
.badge.badge-info { background-color:#5BC0DE; }
.badge.badge-success { background-color:#0dc95d; }
.badge.badge-warning { background-color:#F0AD4E; }

.div-short { height:190px; min-height:190px; overflow:hidden; border-bottom:1px dashed #ccc; }

.list-group-item.active,
.list-group-item.active:focus,
.list-group-item.active:hover { background-color:#0089ff; }
.list-group-item.active a { color:#fff; }
.list-group-item._1 { margin-top: 20px; background-color: #FFFFFF; }
.list-group-item._2 { background-color: #FDFDFD; }
.list-group-item._3 { background-color: #FAFAFA; }
.list-group-item._4 { background-color: #FDFDFD; }
.list-group-item._5 { background-color: #FAFAFA; }

.list-group-item.new { border-left:5px solid #5BC0DE; }
.list-group-item.new-bg { background-color:#f7f7f7; }

.list-group-item.list-group-item-tab-top { border-top:0; border-top-left-radius:0; border-top-right-radius:0; }

.list-group-lg { font-size:110%; }
.list-group-sm { font-size:90%; }
.list-group-sm > .list-group-item { padding:6px 10px; }

 .list-group-item-dark { border-color:#ccc; }

.tab-pane { margin-top:14px; }

.nav-tabs-content-bordered { margin-bottom:0; }
.tab-content-bordered { border-left:1px solid #ddd; border-right:1px solid #ddd; border-bottom:1px solid #ddd;
    border-radius:0px 0px 5px 5px; padding:10px; padding-bottom:0; }

.nowrap { white-space:nowrap; }

/** google charts fix for flickering annotations */
svg > g > g:last-child { pointer-events: none }
.product-details img {
	float: left;
	max-height: 250px;
	max-width: 100%;
	margin: 0 1rem 2rem;
}
img.product-thumbnail {
	float: none;
	height: 70px;
	margin: 0;
}
.thumbnail-card {
	align-content: left;
	text-align: left;
	padding: 10px;
	border: 1px solid #CCCCCC;
	width: fit-content;
}
.col-4 {
	width: auto;
}
.col-8 {
	width: auto;
}
span pre.json_string_display {
    max-height: 70px;
    max-width: 545px;
}
span pre.expanded {
    max-height: 999999px;
}
.table_fixed_header {
    position: sticky;
    top: 0;
    z-index: 2;
    bottom: 0;
    border: 4px solid black
}
.conf-group-table-container {
    max-height: 10px;
    border: solid grey 2px;
    -moz-transition: 1s;
    -ms-transition: 1s;
    -o-transition: 1s;
    -webkit-transition: 1s;
    transition: 1s;
}
.conf-group-table-container.expanded {
    max-height: 800px;
}

.conf-display-table {
    border-collapse: separate;
    border-spacing: 0;
}

.expand-confs {
    color: white;
    text-align: center;
    margin-left: 90%;
    display: inline-block;
    background-color:white;
}
.expand-confs-tabs li {
    /* Makes a horizontal row */
    display: block;
    /* So the psueudo elements can be
       abs. positioned inside */
    position: relative;
}
.expand-confs-tabs a {
    /* Make them block level
       and only as wide as they need */
    float: left;
    padding: 3px 20px;
    text-decoration: none;

    /* Default colors */
    color: black;
    background: #ddc385;

    /* Only round the top corners */
    -webkit-border-bottom-left-radius: 15px;
    -webkit-border-bottom-right-radius: 15px;
    -moz-border-radius-bottomleft: 15px;
    -moz-border-radius-bottomright: 15px;
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
}
.expand-confs-tabs .active {
    /* Highest, active tab is on top */
    z-index: 3;
}
.expand-confs-tabs .active a {
    /* Colors when tab is active */
    background: grey;
    color: white;
}
.expand-confs-tabs li:before, .expand-confs-tabs li:after,
.expand-confs-tabs li a:before, .expand-confs-tabs li a:after {
    /* All pseudo elements are
       abs. positioned and on bottom */
    position: absolute;
    top: 0;
}
/* Only the first, last, and active
   expand-confs-tabs need pseudo elements at all */
.expand-confs-tabs li:last-child:after,   .expand-confs-tabs li:last-child a:after,
.expand-confs-tabs li:first-child:before, .expand-confs-tabs li:first-child a:before,
.expand-confs-tabs .active:after,   .expand-confs-tabs .active:before,
.expand-confs-tabs .active a:after, .expand-confs-tabs .active a:before {
    content: "";
}
.expand-confs-tabs .active:before, .expand-confs-tabs .active:after {
    background: grey;

    /* Squares below circles */
    z-index: 1;
}
/* Squares */
.expand-confs-tabs li:before, .expand-confs-tabs li:after {
    background: #ddc385;
    width: 10px;
    height: 10px;
}
.expand-confs-tabs li:before {
    left: -10px;
}
.expand-confs-tabs li:after {
    right: -10px;
}
/* Circles */
.expand-confs-tabs li a:after, .expand-confs-tabs li a:before {
    width: 20px;
    height: 20px;
    /* Circles are circular */
    -webkit-border-radius: 10px;
    -moz-border-radius:    10px;
    border-radius:         10px;
    background: #222;

    /* Circles over squares */
    z-index: 2;
}
.expand-confs-tabs .active a:after, .expand-confs-tabs .active a:before {
    background: grey;
}
/* First and last expand-confs-tabs have different
   outside color needs */
.expand-confs-tabs li:first-child.active a:before,
.expand-confs-tabs li:last-child.active a:after {
    background: white;
}
.expand-confs-tabs li a:before {
    left: -20px;
}
.expand-confs-tabs li a:after {
    right: -20px;
}
.color-red {
    color:red;
}
.color-green {
    color:green;
}
.color-blue {
    color: #0089ff;
}
.color-yellow {
    color: yellow;
}

.bg-color-red {
    background-color: #ff7474;
}
.bg-color-yellow {
    background-color: #fcfc7d;
}
.bg-color-green {
    background-color: #9bf89b;
}
.width-100 {
    width: 100%;
}
.modal-separator {
    border-top: 2px solid black;
}

.jse--output{
	position: relative;
	margin: 5px 0px;
	width: 100%;
	min-height: 100px;
	outline: 1px solid #eee;
	padding: 0;
	color: white;
	background-color: #f3f6fa;
    background-image: linear-gradient(#fff 50%, transparent 50%, transparent);
    background-size: 60px 60px;
    color: black;
    font-family: monospace;
}

.jse--output .jse--row{
	position: relative;
	display: block;
	margin: 0px;
	line-height: 30px;
}

.jse--output .jse--row:hover{
	background-color: rgba( 0, 0, 0, 0.01);
	outline: 1px dotted #555;
}

.jse--output .jse--delete{
	position: absolute;
	right: 0;
	top: 0;
	width: 2em;
	text-align: center;
	font-size: 1.5em;
	cursor: pointer;
}

.jse--output .jse--row.jse--add{
	font-weight: bold;
	height: 30px;
}

.jse--output .jse--row.jse--add .jse--plus{
	font-size: 1em;
	padding-left: 20px !important;
	cursor: pointer;
	border: none;
	background-color: transparent;
	margin-left: 6px;
	padding: 0 !important;
	width: 30px;
	height: 30px;
}

.jse--output .jse--typeof{
	font-weight: 200;
	font-size: 0.9em;
	color: #555;
	margin-left: 50px;
}

.jse--output input{
	border: none;
	background-color: transparent;
	margin: 0;
	line-height: 30px;
	height: 30px;
	padding: 0 15px;
}

.jse--output input:hover{
	background-color: rgba(249, 251, 253, 0.5)
}

.jse--output input:focus{
	outline: 1px solid silver;
	background-color: rgba(249, 251, 253, 1)
}

.jse--output input.jse--key{
	font-weight: bold;
}

.jse--output input.jse--value{
	font-style: italic;
}

.jse--output input[type=checkbox].jse--value__new{
	position: absolute;
}

.jse--output .jse--row-object > .jse--row,
.jse--output .jse--row--array > .jse--row{
	padding-left: 15px;
	margin-left: 15px;
	border-left: 1px dotted #ccc;
}